Home > GNU/Linux > Le nuove notifiche di Jaunty su Ubuntu Intrepid

Le nuove notifiche di Jaunty su Ubuntu Intrepid

Una delle novità che vedremo in Ubuntu Jaunty sono le nuove notifiche volute da Mark Shuttleworth, il benigno dittatore della distribuzione marrone.

Il pregio, rispetto alle tradizionali notifiche di GNOME, è la minore invasività: spostandosi sul pop-up di notifica, infatti, quest’ultimo diventa trasparente ed è possibile compiere operazioni con gli oggetti sotto di esso (ad esempio clickare sul pulsante di chiusura di una finestra) senza attendere o forzare la scomparsa della notifica.

Nell’attesa di passare ad Ubuntu +1 (io lo farò come sempre appena uscirà la beta, a fine mese), possiamo goderci le notifiche già ora su Intrepid.

Avrei potuto spiegarvi come scaricare il sorgente con Bazaar, compilarlo e risolvere le dipendenze, ma non lo farò. Sono pigro, quindi ho semplicemente cercato su PPA di Launchpad qualcuno che lo avesse già fatto. E l’ho trovato😉

Vi basta scaricare e installare questo pacchetto. Buon divertimento.

EDIT: è necessario prima installare il nuovo pacchetto icone human theme:  http://archive.ubuntu.com/ubuntu/pool/main/h/human-icon-theme/human-icon-theme_0.33.2_all.deb

Per chi ha ubuntu 64 bit il pacchetto per le nuove notifiche è questo: https://edge.launchpad.net/%7Ehyperair/+archive/ppa/+files/notify-osd_0.9-0ubuntu1~hyper1+intrepid1_amd64.deb

  1. barra
    9 marzo 2009 alle 14:57

    non mi funziona, segnala una dipendenza non soddisfatta (human-icon-theme) che però è perfettamente installata.

  2. 9 marzo 2009 alle 15:01

    anche a me segnala una dipendenza non soddisfatta (human-icon-theme), che però è correttamente installata. ho anche provato a reinstallarla ma il problema persiste.

  3. kico
    9 marzo 2009 alle 15:01

    stesso problema

  4. barra
  5. 9 marzo 2009 alle 15:30

    @barra
    grz ho risolto, comunque non funzionano ancora perfettamente, ad esempio con emesene non vanno…mi sa che aspetterò l’uscita ufficiale di jaunty…

  6. doctorhouse
    9 marzo 2009 alle 16:17

    Ciao, ho installato il pacchetto.deb correttamente ma non succede niente. C’è qualcosa che mi sfugge o che devo attivare?
    Grazie

  7. Pippod
    9 marzo 2009 alle 18:02

    @ doctorhouse
    Devi lanciarlo da terminale:
    /usr/lib/notify-osd/notify-osd

    Lo sto provando, mi sembra bello.

  8. Diska
    9 marzo 2009 alle 20:52

    @nickioc

    notify-osd mette a disposizione delle applicazione una nuove gestore delle notifiche, devono essere le applicazione che ne fanno uso se trovano notify-osd tra le disponibili

  9. 11 marzo 2009 alle 20:10

    Mah…preferisco aspettaere l’uscita di Jaunty😛

    A sproposito…ho letto che JJ ha completo supporta all’Ext4…ma quali vantaggi porta rispetto all’Ext3? O al JFS (o comunque un nome simile)?

  10. 14 marzo 2009 alle 12:46

    grazie.

    Avrei anche aspettato, ma per due pacchetti…non ho resistito!

  11. 15 marzo 2009 alle 13:43

    ma… sono solo io che ho problemi ad installare i pacchetti? L’installazione del pacchetto “human-icon-theme-0.33_all.deb” termina con un messsaggio di errore mai visto: “Il pacchetto potrebbe essere danneggiato oppure non si ha il permesso di aprire il file. Verirficare i permessi del file”.

    Ricevo lo stesso errore sia installando il pacchetto da te segnalato, sia installando la versione linkata da barra.

    Ho controllato i permessi e sembrano essere OK… qualche idea?

  12. mazzjoe
    15 marzo 2009 alle 23:55

    Qualcuno è riuscito a farlo funzionare con pidgin-libnotify 0.14? a me non va, e vengono mostrati pop-up terribili.. sono disperato!

  1. 14 marzo 2009 alle 22:06

Lascia un commento

Inserisci i tuoi dati qui sotto o clicca su un'icona per effettuare l'accesso:

Logo WordPress.com

Stai commentando usando il tuo account WordPress.com. Chiudi sessione / Modifica )

Foto Twitter

Stai commentando usando il tuo account Twitter. Chiudi sessione / Modifica )

Foto di Facebook

Stai commentando usando il tuo account Facebook. Chiudi sessione / Modifica )

Google+ photo

Stai commentando usando il tuo account Google+. Chiudi sessione / Modifica )

Connessione a %s...

%d blogger cliccano Mi Piace per questo: